routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

// Route::get('/pertanyaan/create', 'PertanyaanController@create');

// Route::post('/pertanyaan', 'PertanyaanController@store');

// Route::get('/pertanyaan', 'PertanyaanController@index')->name('pertanyaan.index');

// Route::get('/pertanyaan/{pertanyaan_id}', 'PertanyaanController@show');

// Route::get('/pertanyaan/{pertanyaan_id}/edit', 'PertanyaanController@edit');

// Route::put('/pertanyaan/{pertanyaan_id}', 'PertanyaanController@update');

// Route::delete('/pertanyaan/{pertanyaan_id}', 'PertanyaanController@destroy');

Route::resource('pertanyaan', 'PertanyaanController');

app/Question.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Question extends Model
{
    protected $table = 'pertanyaan';

    protected $fillable = ['judul', 'isi'];//mass assignment
    //protected $quarded = ['value']; //digunakan ketika table memiliki banyak column, value diisikan nama column yang tidak ingin diisi
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/PertanyaanController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use App\Question;

class PertanyaanController extends Controller
{
    public function create(){
        return view('pertanyaan.create');
    }

    public function store(Request $request){
        //dd($request->all());
        $request->validate([
            'judul' => 'required|unique:pertanyaan',
            'isi' => 'required'
        ]);
        // $query = DB::table('pertanyaan')->insert([
        //     "judul"=> $request["judul"],
        //     "isi"=> $request["isi"]
        // ]);

        //--Eloquent--
        // $question = new Question;
        // $question->judul = $request['judul'];
        // $question->isi = $request['isi'];
        // $question->save(); //insert into question (judul, isi) values

        //-mass asignment--
        $question = Question::create([
            'judul' => $request['judul'],
            'isi' => $request['isi']
        ]);
        return redirect('/pertanyaan')->with('success', 'Pertanyaan Berhasil Disimpan!');
    }

    public function index(){
        //$pertanyaan = DB::table('pertanyaan')->get(); //select * from pertanyaan
        //dd($pertanyaan);

        $pertanyaan = Question::all();
        //dd($pertanyaan);
        return view('pertanyaan.index', compact('pertanyaan'));
    }

    public function show($pertanyaan_id){
        // $post = DB::table('pertanyaan')->where('id', $pertanyaan_id)->first();
        $post = Question::find($pertanyaan_id);
        //dd($post);
        return view('pertanyaan.show', compact('post'));
    }

    public function edit($pertanyaan_id){
        // $post = DB::table('pertanyaan')->where('id', $pertanyaan_id)->first();
        $post = Question::find($pertanyaan_id);
        return view('pertanyaan.edit', compact('post'));
    }

    public function update($pertanyaan_id, Request $request){
        $request->validate([
            'judul' => 'required',
            'isi' => 'required'
        ]);
        // $query = DB::table('pertanyaan')
        //             ->where ('id', $pertanyaan_id)
        //             ->update([
        //                 "judul"=> $request["judul"],
        //                 "isi"=> $request["isi"]
        //             ]);
        $update = Question::where('id', $pertanyaan_id)->update([
            "judul"=> $request["judul"],
            "isi"=> $request["isi"]
        ]);
        return redirect('/pertanyaan')->with('success','Berhasil Update Pertanyaan!');
    }

    public function destroy($pertanyaan_id){
        // $query = DB::table('pertanyaan')->where('id', $pertanyaan_id)->delete();
        Question::destroy($pertanyaan_id);
        return redirect('/pertanyaan')->with('success','Pertanyaan berhasil Dihapus!');
    }
}

app/Http/Controllers/QuestionController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class QuestionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/pertanyaan/create.blade.php
@extends('partial.master')

@section('content')
    <div class="ml-3 mt-3">
        <div class="card card-primary">
            <div class="card-header">
            <h3 class="card-title">Buat Pertanyaan</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form role="form" action="{{route('pertanyaan.store') }}" method="POST">
                @csrf
                <div class="card-body">
                    <div class="form-group">
                        <label for="judul">Judul</label>
                    <input type="text" class="form-control" id="judul" name="judul" value="{{old('judul', '')}}" placeholder="Enter Title">
                        @error('judul')
                            <div class="alert alert-danger">{{$message}} </div>
                        @enderror
                    </div>
                    <div class="form-group">
                        <label for="isi">Isi</label>
                        <input type="text" class="form-control" id="isi" name="isi" value="{{old('isi', '')}}" placeholder="Enter Body">
                        @error('isi')
                            <div class="alert alert-danger">{{$message}} </div>
                        @enderror
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Buat</button>
                </div>
            </form>
        </div>
    </div>
@endsection

resources/views/pertanyaan/edit.blade.php
@extends('partial.master')

@section('content')
    <div class="ml-3 mt-3">
        <div class="card card-primary">
            <div class="card-header">
            <h3 class="card-title">Edit Pertanyaan {{$post->id}} </h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form role="form" action="{{route('pertanyaan.update', ['pertanyaan' => $post->id])}}" method="POST">
                @csrf
                @method('PUT')
                <div class="card-body">
                    <div class="form-group">
                        <label for="judul">Judul</label>
                        <input type="text" class="form-control" id="judul" name="judul" value="{{old('judul', $post->judul) }} " placeholder="Enter Title">
                        @error('judul')
                            <div class="alert alert-danger">{{$message}} </div>
                        @enderror
                    </div>
                    <div class="form-group">
                        <label for="isi">Isi</label>
                        <input type="text" class="form-control" id="isi" name="isi" value="{{old('isi', $post->isi)}} " placeholder="Enter Body">
                        @error('isi')
                            <div class="alert alert-danger">{{$message}} </div>
                        @enderror
                    </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Edit</button>
                </div>
            </form>
        </div>
    </div>
@endsection

resources/views/pertanyaan/index.blade.php
@extends('partial.master')

@section('content')
    <div class="mt-3 ml-3">
        <div class="card">
            <div class="card-header">
              <h3 class="card-title">Table Pertanyaan</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                @if (session('success'))
                    <div class="alert alert-success">
                        {{session('success') }}
                    </div>
                @endif
                <a class="btn btn-primary mb-2" href="{{route('pertanyaan.create') }}">Buat Pertanyaan</a>
              <table class="table table-bordered">
                <thead>                  
                  <tr>
                    <th style="width: 10px">#</th>
                    <th>Judul</th>
                    <th>Isi</th>
                    <th style="width: 40px">Aksi</th>
                  </tr>
                </thead>
                <tbody>
                  @forelse ($pertanyaan as $key => $post)
                      <tr>
                          <td>{{$key+1}} </td>
                          <td>{{$post-> judul}} </td>
                          <td>{{$post-> isi}} </td>
                          <td style="display:flex">
                              <a href="{{route('pertanyaan.show', ['pertanyaan' => $post->id])}} "  class="btn btn-info btn-sm">tampilkan</a>
                              <a href="{{route('pertanyaan.edit', ['pertanyaan' => $post->id])}} "  class="btn btn-default btn-sm">edit</a>
                              <form action="{{route('pertanyaan.destroy', ['pertanyaan' => $post->id])}} " method="POST">
                                @csrf
                                @method('DELETE')
                                <input type="submit" value="delete" class="btn btn-danger btn-sm">
                            </form>
                          </td>
                      </tr>
                    @empty
                        <tr>
                            <td colspan="4" align="center"> Tidak Ada Pertanyaan</td>
                        </tr>
                  @endforelse
                </tbody>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
    </div>
@endsection

resources/views/pertanyaan/show.blade.php
@extends('partial.master')

@section('content')
    <div class="mt-3 ml-3">
        <h4>{{$post->judul}}</h4>
        <p>{{$post->isi}}</p>
    </div>
@endsection